import { useVehicleStore } from "@/stores/admin/unit/vehicle/vehicle";
import { useVehicleDamageReportStore } from "@/stores/admin/unit/vehicle/damageReport";
import { useVehicleInspectionStore } from "@/stores/admin/unit/vehicle/inspection";

export async function setVehicleId(to: any, from: any, next: any) {
  const vehicleStore = useVehicleStore();
  vehicleStore.activeVehicle = to.params?.vehicleId ?? null;

  useVehicleDamageReportStore().$reset();
  useVehicleInspectionStore().$reset();

  next();
}

export async function resetVehicleStores(to: any, from: any, next: any) {
  const vehicleStore = useVehicleStore();
  vehicleStore.activeVehicle = null;
  vehicleStore.activeVehicleObj = null;

  useVehicleDamageReportStore().$reset();
  useVehicleInspectionStore().$reset();

  next();
}
