import { defineStore } from "pinia";
import { http } from "@/serverCom";
import type { InspectionPlanViewModel } from "@/viewmodels/admin/unit/inspection/inspectionPlan.models";
import { useEquipmentTypeStore } from "./equipmentType";

export const useEquipmentTypeInspectionPlanStore = defineStore("equipmentTypeInspectionPlan", {
  state: () => {
    return {
      inspectionPlans: [] as Array<InspectionPlanViewModel>,
      loading: "loading" as "loading" | "fetched" | "failed",
    };
  },
  actions: {
    fetchInspectionPlanForEquipmentType() {
      const equipmentTypeId = useEquipmentTypeStore().activeEquipmentType;
      this.loading = "loading";
      http
        .get(`/admin/inspectionPlan/equipmentType/${equipmentTypeId}?noLimit=true`)
        .then((result) => {
          this.inspectionPlans = result.data.inspectionPlans;
          this.loading = "fetched";
        })
        .catch((err) => {
          this.loading = "failed";
        });
    },
  },
});
